import request from '@/utils/request'

//classList
export function listIndustryClass(query) {
  return request({
    url: '/mall/IndustryClass/PageList',
    method: 'get',
    params: query
  })
}


// 查询行业分类列表
export function PageListIndustryClass(query) {
  return request({
    url: '/mall/IndustryClass/PageList',
    method: 'get',
    params: query
  })
}

// 查询行业分类详细
export function getIndustryClass(id) {
  return request({
    url: '/mall/IndustryClass/' + id,
    method: 'get'
  })
}

// 新增行业分类
export function addIndustryClass(data) {
  return request({
    url: '/mall/IndustryClass',
    method: 'post',
    data: data
  })
}

// 修改行业分类
export function updateIndustryClass(data) {
  return request({
    url: '/mall/IndustryClass',
    method: 'put',
    data: data
  })
}

// 删除行业分类
export function delIndustryClass(id) {
  return request({
    url: '/mall/IndustryClass/' + id,
    method: 'delete'
  })
}
